GTGColor.h File Reference

This file defines some useful colors to use in entity values for GTG. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | gtg_color
| This structure defines a color that can be used by GTG. More...

## Macros

#define | GTG_COLOR_BLUE_POS 0
#define | GTG_COLOR_GREEN_POS 8
#define | GTG_COLOR_RED_POS 16
#define | GTG_COLOR_BLUE_MASK (0x000000ff << GTG_COLOR_BLUE_POS)
#define | GTG_COLOR_GREEN_MASK (0x000000ff << GTG_COLOR_GREEN_POS)
#define | GTG_COLOR_RED_MASK (0x000000ff << GTG_COLOR_RED_POS)

## Typedefs

typedef uint32_t | gtg_rgb_color_t
typedef struct gtg_color * | gtg_color_t

## Functions

static uint8_t | GTG_COLOR_GET_BLUE (gtg_rgb_color_t rgb)
| Return the 1-byte value of the blue component of a rgb color.
static uint8_t | GTG_COLOR_GET_GREEN (gtg_rgb_color_t rgb)
| Return the 1-byte value of the green component of a rgb color.
static uint8_t | GTG_COLOR_GET_RED (gtg_rgb_color_t rgb)
| Return the 1-byte value of the red component of a rgb color.
static gtg_rgb_color_t | GTG_COLOR_SET_COLOR (uint8_t r, uint8_t g, uint8_t b)
| Return the 4-bytes RGB color from 3 1-byte components.
void | gtg_color_init ()
void | gtg_color_exit ()
gtg_color_t | gtg_color_create (const char *name, uint8_t r, uint8_t g, uint8_t b)
void | gtg_color_free (gtg_color_t color)

## Variables

gtg_color_t | GTG_BLACK
| Default black color. (R,G,B) = (0, 0, 0).
gtg_color_t | GTG_RED
| Default red color. (R,G,B) = (255, 0, 0).
gtg_color_t | GTG_GREEN
| Default green color. (R,G,B) = (0, 255, 0).
gtg_color_t | GTG_BLUE
| Default blue color. (R,G,B) = (0, 0, 255).
gtg_color_t | GTG_WHITE
| Default white color. (R,G,B) = (255, 255, 255).
gtg_color_t | GTG_TEAL
| Default teal color. (R,G,B) = (0, 255, 255).
gtg_color_t | GTG_DARKGREY
| Default dark grey color. (R,G,B) = (85, 85, 85).
gtg_color_t | GTG_YELLOW
| Default yellow color. (R,G,B) = (255, 255, 0).
gtg_color_t | GTG_PURPLE
| Default purple color. (R,G,B) = (153, 25, 230).
gtg_color_t | GTG_LIGHTBROWN
| Default light brown color. (R,G,B) = (170, 130, 130).
gtg_color_t | GTG_LIGHTGREY
| Default light grey color. (R,G,B) = (200, 200, 200).
gtg_color_t | GTG_DARKBLUE
| Default dark blue color. (R,G,B) = (0, 0, 80).
gtg_color_t | GTG_PINK
| Default pink color. (R,G,B) = (255, 0, 255).
gtg_color_t | GTG_DARKPINK
| Default dark pink color. (R,G,B) = (180, 80, 180).
gtg_color_t | GTG_SEABLUE
| Default sea blue color. (R,G,B) = (25, 128, 200).
gtg_color_t | GTG_KAKI
| Default kaki color. (R,G,B) = (80, 100, 25).
gtg_color_t | GTG_REDBLOOD
| Default red blood color. (R,G,B) = (200, 25, 25).
gtg_color_t | GTG_BROWN
| Default brown color. (R,G,B) = (100, 25, 25).
gtg_color_t | GTG_GRENAT
| Default grenat color. (R,G,B) = (100, 0, 80).
gtg_color_t | GTG_ORANGE
| Default orange color. (R,G,B) = (255, 160, 0).
gtg_color_t | GTG_MAUVE
| Default mauve color. (R,G,B) = (128, 0, 255).
gtg_color_t | GTG_LIGHTPINK
| Default light pink color. (R,G,B) = (255, 128, 255).

## Detailed Description

This file defines some useful colors to use in entity values for GTG.

Version
  0.1

## Macro Definition Documentation

## GTG_COLOR_BLUE_MASK

#define GTG_COLOR_BLUE_MASK (0x000000ff << GTG_COLOR_BLUE_POS)

## GTG_COLOR_BLUE_POS

#define GTG_COLOR_BLUE_POS 0

## GTG_COLOR_GREEN_MASK

#define GTG_COLOR_GREEN_MASK (0x000000ff << GTG_COLOR_GREEN_POS)

## GTG_COLOR_GREEN_POS

#define GTG_COLOR_GREEN_POS 8

## GTG_COLOR_RED_MASK

#define GTG_COLOR_RED_MASK (0x000000ff << GTG_COLOR_RED_POS)

## GTG_COLOR_RED_POS

#define GTG_COLOR_RED_POS 16

## Typedef Documentation

## gtg_color_t

typedef struct gtg_color* gtg_color_t

## gtg_rgb_color_t

typedef uint32_t gtg_rgb_color_t

## Function Documentation

## gtg_color_create()

gtg_color_t gtg_color_create | ( | const char * | name,
|  | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b )

## gtg_color_exit()

void gtg_color_exit | ( |  | ) |

## gtg_color_free()

void gtg_color_free | ( | gtg_color_t | color | ) |

## gtg_color_init()

void gtg_color_init | ( |  | ) |